#!/usr/bin/env node

const fs = require('fs');
const https = require('https');

const app = require('../app');

const port = process.env.PORT || 5443;

const certsConfig = {
  key: fs.readFileSync('certs/certificate.key'),
  cert: fs.readFileSync('certs/certificate.cer'),
  ca: fs.readFileSync('certs/certificate.intermediate.cer'),
};

const serverCallback = app.callback();
const httpsServer = https.createServer(certsConfig, serverCallback);
httpsServer.listen(port, err => {
  if (err) {
    throw err;
  }
});
