#!/bin/bash
set -e

EXIT_CODE=$?
if [ $EXIT_CODE -ne 0 ]; then
  echo "failed $EXIT_CODE"
  exit 1
fi

: ${ENV?"Need to set ENV environment variable"}
if [[ ${ENV} == eu-func-prod ]]; then HOST="http://eu-e2e.dev.aws.atom.sky.com"; fi
if [[ ${ENV} == eu-stage ]]; then HOST="http://cms.eustage1.atom.sky.com"; fi
if [[ ${ENV} == eu-production ]]; then HOST="https://cms.eu.atom.sky.com"; fi
if [[ ${ENV} == func-prod ]]; then HOST="http://e2e.dev.aws.atom.sky.com"; fi
if [[ ${ENV} == stage ]]; then HOST="https://cms.stage1.atom.nowtv.com"; fi
if [[ ${ENV} == production ]]; then HOST="https://cms.atom.nowtv.com"; fi

: ${TERRITORY?"Need to set TERRITORY environment variable"}
UPPERCASE_TERRITORY=$(echo "$TERRITORY" | tr '[:lower:]' '[:upper:]')

: ${PROPOSITION?"Need to set PROPOSITION environment variable"}
UPPERCASE_PROPOSITION=$(echo "$PROPOSITION" | tr '[:lower:]' '[:upper:]')

: ${DEVICE_PLATFORM?"Need to set DEVICE_PLATFORM environment variable"}
DELETE_ENDPOINT="${HOST}/core/label/delete/${DEVICE_PLATFORM}"

: ${CMS_USERNAME?"Need to set CMS_USERNAME environment variable"}
: ${CMS_PASSWORD?"Need to set CMS_PASSWORD environment variable"}
: ${FILE?"Need to set FILE environment variable with the keys you want to delete, see example.csv"}

printf "\n\nRunning label deletion for $ENV $PROPOSITION:$TERRITORY $DEVICE_PLATFORM from $DELETE_ENDPOINT\n"
curl -v -X DELETE "${DELETE_ENDPOINT}" \
  -H 'cache-control: no-cache,no-cache' \
  -H 'content-type: multipart/form-data' \
  -H "X-SkyOTT-Proposition: ${UPPERCASE_PROPOSITION}" \
  -H "X-SkyOTT-Service: ${CMS_USERNAME}" \
  -H "X-SkyOTT-ServiceToken: ${CMS_PASSWORD}" \
  -H "X-SkyOTT-Territory: ${UPPERCASE_TERRITORY}" \
  -F "file=@$FILE;type=text/csv"  \