const hasValidMD5Checksum = require('../utils/has-valid-md5-checksum');

function securityFailure(ctx) {
  ctx.status = 403;
  ctx.body = {
    errorCode: 'OVP_00306',
    description: 'Security failure',
  };
}

module.exports = function(pathsToIntercept) {
  return function(ctx, next) {
    if (pathsToIntercept.includes(ctx.request.url) && !ctx.request.header['x-sky-signature']) {
      if (hasValidMD5Checksum(ctx)) {
        return next();
      } else {
        securityFailure(ctx);
      }
    } else {
      return next();
    }
  };
};
