'use strict';

module.exports = function(paths) {
  return function(ctx, next) {
    const cookie = ctx.request.get('Cookie');

    if (typeof cookie !== 'undefined') {
      for (const key in paths) {
        if ({}.hasOwnProperty.call(paths, key) && ctx.request.url.startsWith(paths[key]) && cookie.startsWith(key)) {
          ctx.status = 500;
          ctx.body = 'Internal Server Error';
          return;
        }
      }
      return next();
    } else {
      return next();
    }
  };
};
