/* eslint-env browser */

function isScenario(scenario) {
  const scenarios = document.cookie.match(/SCENARIO__[\w]+=[^;]+/g);
  return scenarios && scenarios.some(scenarioCookie => scenarioCookie.startsWith(`SCENARIO__${scenario}=`));
}

window.FB = {
  init() {
    if (isScenario('facebook_init_error')) {
      throw new Error();
    }
  },
  getLoginStatus(callback) {
    if (isScenario('facebook_login_status_timeout')) {
      setTimeout(() => {
        callback({
          status: 'not_authorized',
        });
      }, 5000);
    } else {
      callback({
        status: 'not_authorized',
      });
    }
  },
  login(callback) {
    if (isScenario('facebook_login_not_connected')) {
      callback({
        status: 'not_connected',
      });
    } else {
      callback({
        status: 'connected',
      });
    }
  },
  api(path, method, params, callback) {
    if (isScenario('facebook_api_error')) {
      callback({
        error: true,
      });
    } else {
      callback({
        first_name: 'First',
        last_name: 'Last',
        email: 'email@test.com',
      });
    }
  },
};

if (window.fbAsyncInit) {
  window.fbAsyncInit();
}
