const users = require('../sky-id/sky-id/users');

let trackedRequests = [];

function track(payload) {
  const trackedUsers = Object.keys(users).filter(key => users[key].collectAnalyticsRequests === true);

  if (trackedUsers.includes(payload.v56)) {
    trackedRequests.push(payload);
  }
}

module.exports = {
  trackGet(ctx) {
    ctx.body = {};

    track(ctx.query);
  },

  trackPost(ctx) {
    const payload = ctx.request.body.split('&').reduce((acc, curr) => {
      const split = curr.split('=');
      acc[split[0]] = decodeURIComponent(split[1]);
      return acc;
    }, {});

    ctx.body = {};

    track(payload);
  },

  trackedRequests(ctx) {
    ctx.body = trackedRequests.filter(request => {
      return request.v56 === ctx.query.userToken;
    });
  },

  reset(ctx) {
    trackedRequests = trackedRequests.filter(request => {
      return request.v56 !== ctx.query.userToken;
    });

    ctx.body = {};
  },
};
