const btLinked = require('./bt/partners-service/bt-linked');
const btLinkedExpired = require('./bt/partners-service/bt-linked-expired');
const btLinkedCeased = require('./bt/partners-service/bt-linked-ceased');
const btLinkedSuspended = require('./bt/partners-service/bt-linked-suspended');
const btLinkedQueuedSports = require('./bt/partners-service/bt-linked-queued-sports');
const notBtOceanUser = require('./bt/partners-service/not_ocean_user');
const btEligible = require('./bt/partners-service/bt-eligible');
const btEligibleIntegrationInvalidRequest = require('./bt/partners-service/bt-eligible-integration-invalid-request');
const btEligibleIntegrationInvalidPpt = require('./bt/partners-service/bt-eligible-integration-invalid-ppt');
const btEligibleIntegrationInvalidAccount = require('./bt/partners-service/bt-eligible-integration-invalid-account');
const btEligibleEntitlementHasExpired = require('./bt/partners-service/bt-eligible-entitlement-has-expired');
const btEligibleIntegrationSecurity = require('./bt/partners-service/bt-eligible-integration-security');
const btEligibleEntitlementNotFound = require('./bt/partners-service/bt-eligible-entitlement-not-found');
const btEligibleSystemService = require('./bt/partners-service/bt-eligible-system-service');
const btEligibleSystemDependency = require('./bt/partners-service/bt-eligible-system-dependency');
const btEligibleUnexpectedException = require('./bt/partners-service/bt-eligible-unexpected-exception');

const errorResponseMap = {
  linkedDevice: btLinked,
  linkedDeviceExpired: btLinkedExpired,
  linkedDeviceQueuedSports: btLinkedQueuedSports,
  linkedDeviceCeasedCustomer: btLinkedCeased,
  linkedDeviceSuspendedUser: btLinkedSuspended,
  linkedDeviceQueuedSportsIntegrationInvalidRequest: btEligibleIntegrationInvalidRequest,
  linkedDeviceQueuedSportsIntegrationInvalidPpt: btEligibleIntegrationInvalidPpt,
  linkedDeviceQueuedSportsIntegrationInvalidAccount: btEligibleIntegrationInvalidAccount,
  linkedDeviceQueuedSportsEntitlementHasExpired: btEligibleEntitlementHasExpired,
  linkedDeviceQueuedSportsIntegrationSecurity: btEligibleIntegrationSecurity,
  linkedDeviceQueuedSportsEntitlementNotFound: btEligibleEntitlementNotFound,
  linkedDeviceQueuedSportsSystemService: btEligibleSystemService,
  linkedDeviceQueuedSportsSystemDependency: btEligibleSystemDependency,
  linkedDeviceQueuedSportsUnexpectedException: btEligibleUnexpectedException,
  notOceanUser: notBtOceanUser,
};

module.exports = function(ctx) {
  const { deviceId } = ctx.params;
  switch (deviceId) {
    case '404':
    case '400':
    case '415':
    case '500':
    case '503':
      return (ctx.status = deviceId);
    default: {
      const matchingErrorKey = Object.keys(errorResponseMap).find(element => element === deviceId);
      const responseBody = matchingErrorKey ? errorResponseMap[matchingErrorKey] : btEligible;
      return (ctx.body = responseBody);
    }
  }
};
