module.exports.post = function(ctx) {
  const partnerAccountId = ctx.request.get('X-SkyOTT-PartnerAccountId');
  const scenario = ctx.request.get('X-SCENARIO');
  const requestBody = ctx.request.body;

  const errorMap = {
    queued_sports_vsid_integration_invalid_request: 'INTEGRATION_INVALID_REQUEST',
    queued_sports_vsid_integration_invalid_ppt: 'INTEGRATION_INVALID_PPT',
    queued_sports_vsid_integration_invalid_account: 'INTEGRATION_INVALID_ACCOUNT',
    queued_sports_vsid_entitlement_has_expired: 'ENTITLEMENT_HAS_EXPIRED',
    queued_sports_vsid_integration_security: 'INTEGRATION_SECURITY',
    queued_sports_vsid_entitlement_not_found: 'ENTITLEMENT_NOT_FOUND',
    queued_sports_vsid_system_service: 'SYSTEM_SERVICE',
    queued_sports_vsid_system_dependency: 'SYSTEM_DEPENDENCY',
    queued_sports_vsid_unexpected_exception: 'UNEXPECTED_EXCEPTION',
  };

  if (scenario === 'bt_success' && requestBody.name === 'SPORTS') {
    switch (partnerAccountId) {
      case 'queued_sports_vsid':
        ctx.status = 200;
        break;
      case 'queued_sports_vsid_integration_invalid_request':
      case 'queued_sports_vsid_integration_invalid_ppt':
      case 'queued_sports_vsid_integration_invalid_account':
      case 'queued_sports_vsid_entitlement_has_expired':
        ctx.status = 400;
        ctx.body = {
          code: ctx.status,
          errorCode: errorMap[partnerAccountId],
        };
        break;
      case 'queued_sports_vsid_integration_security':
        ctx.status = 403;
        ctx.body = {
          code: ctx.status,
          errorCode: errorMap[partnerAccountId],
        };
        break;
      case 'queued_sports_vsid_entitlement_not_found':
        ctx.status = 404;
        ctx.body = {
          code: ctx.status,
          errorCode: errorMap[partnerAccountId],
        };
        break;
      case 'queued_sports_vsid_system_service':
      case 'queued_sports_vsid_system_dependency':
      case 'queued_sports_vsid_unexpected_exception':
        ctx.status = 500;
        ctx.body = {
          code: ctx.status,
          errorCode: errorMap[partnerAccountId],
        };
        break;
      default:
        break;
    }
  }
};
