const { isScenario } = require('../../utils/scenario');
const { getUserWithCorrespondingUserToken } = require('../../utils/user-identifier');
const users = require('../sky-id/sky-id/users');

function buildCreditManagerCredit(creditBalancePrePurchase) {
  return {
    amount: creditBalancePrePurchase,
    currency: 'GBP',
  };
}

module.exports = {
  get(ctx) {
    const user = users[getUserWithCorrespondingUserToken(ctx)] || {};
    const creditBalancePrePurchase =
      ctx.persistentStore.get('creditBalancePrePurchase') || user.creditBalancePrePurchase;
    if (creditBalancePrePurchase) {
      ctx.body = buildCreditManagerCredit(creditBalancePrePurchase);
    } else {
      ctx.status = 404;
    }
  },

  post(ctx) {
    if (isScenario(ctx, 'credit_submit_error')) {
      ctx.status = 500;
    } else {
      ctx.status = 204;
    }
  },
};
