const { user_with_queued_pass: userWithQueuedPass } = require('../sky-id/sky-id/users');

function getEntitlementsForPartnerUser(ctx) {
  const userVsid = ctx.get('X-SkyOTT-PartnerAccountId');
  let entitlements;
  switch (userVsid) {
    case 'queued_sports_vsid':
    case 'queued_sports_vsid_integration_invalid_request':
    case 'queued_sports_vsid_integration_invalid_ppt':
    case 'queued_sports_vsid_integration_invalid_account':
    case 'queued_sports_vsid_entitlement_has_expired':
    case 'queued_sports_vsid_integration_security':
    case 'queued_sports_vsid_entitlement_not_found':
    case 'queued_sports_vsid_system_service':
    case 'queued_sports_vsid_system_dependency':
    case 'queued_sports_vsid_unexpected_exception':
      entitlements = userWithQueuedPass.entitlements;
      break;
    default:
      entitlements = [];
      break;
  }
  return {
    entitlements,
  };
}

module.exports.get = function(ctx) {
  const data = getEntitlementsForPartnerUser(ctx);
  ctx.status = 200;
  ctx.set('X-SkyOTT-UserToken', ctx.request.get('X-SkyOTT-UserToken'));
  ctx.body = data;
  ctx.type = 'application/vnd.entitlements.v1+json';
};
