'use strict';

const fs = require('fs');
const path = require('path');

const parseImports = (file, filename) =>
  (file.match(/#import ".+"/g) || []).map(line => ({
    line,
    filePath: path.join(path.dirname(filename), line.match(/"(.+)"/)[1]),
  }));

function importQuery(module, filename) {
  const file = fs.readFileSync(filename, 'utf8');
  const imports = parseImports(file, filename);

  module.exports = imports.reduce(
    (query, { line, filePath }) => query.replace(line, fs.readFileSync(filePath, 'utf8')),
    file
  );
}

require.extensions['.graphql'] = importQuery;
require.extensions['.gql'] = importQuery;
