require('./import-query');
const { mockServer } = require('graphql-tools');

const collections = require('./collections');
const groups = require('./groups');
const typeDefs = require('./mock-schema.graphql');

// required for queries of a union type
const mockTypename = name => () => ({ __typename: name });

const mockGraphQLServer = mockServer(typeDefs, {
  Catalogue: mockTypename('Collection'),
  Collection: (root, { id }) => {
    return collections[id];
  },
  Group: (root, { id }) => {
    return groups[id];
  },
});

module.exports = async function(ctx) {
  ctx.body = await mockGraphQLServer.query(ctx.request.body.query, ctx.request.body.variables);
};
