const getMvpds = require('./mgs/mvpds');
const ipAddresses = require('./mgs/ip-addresses');

function sortMvpds(mvpds, current) {
  return Object.entries(mvpds)
    .sort((a, b) => b[0] === current)
    .map(a => a[1]);
}

module.exports.mvpd = function(ctx) {
  const mvpds = getMvpds(ctx);
  const ip = ctx.headers.fake_ip_address || ctx.cookies.get('fake_ip_address') || ctx.request.ip;
  const currentMvpd = ipAddresses[ip] || ipAddresses.default;
  const response = {
    mvpd: sortMvpds(mvpds, currentMvpd),
  };
  if (mvpds[currentMvpd].hbaUrl && !ctx.request.query.skipHba) {
    response.hba = mvpds[currentMvpd].hbaUrl;
  }
  ctx.body = response;
};

module.exports.mvpdData = function(ctx) {
  const mvpds = getMvpds(ctx);
  if (mvpds[ctx.request.query.mvpd]) {
    ctx.body = mvpds[ctx.request.query.mvpd];
  } else {
    ctx.status = 404;
  }
};
