const get = require('lodash/get');

const mocks = require('.');

function renderError(fixtureSection, fixtureSubsection, headerName, headerValue) {
  return `
<html>
<title>Fixture not found</title>
<body>
  <h1>404</h1>
  <p>File not found for fixtureSection: <code>${fixtureSection}</code>, fixtureSubsection: <code>${fixtureSubsection}</code>, ${headerName}: <code>${headerValue}</code>.</p>
  <ul>
    <li>fixtureSection <code>${fixtureSection}</code>: ${
    mocks[fixtureSection] ? 'Found' : '<strong>Not found</strong>'
  }</li>
    <li>fixtureSection <code>${fixtureSection}</code>, ${headerName} <code>${headerValue}</code>: ${
    mocks[fixtureSection][headerValue] ? 'Found' : '<strong>Not found</strong>'
  }</li>
    <li>fixtureSection <code>${fixtureSection}</code>, ${headerName} <code>${headerValue}</code>, fixtureSubsection <code>${fixtureSubsection}</code>: ${
    mocks[fixtureSection][headerValue][fixtureSubsection] ? 'Found' : '<strong>Not found</strong>'
  }</li>
  </ul>
</body>
</html>
`;
}

function getAtomMock(ctx, fixtureSection, fixtureSubsection, headerName, headerValue, fallbackHeader) {
  let mock =
    get(mocks, [fixtureSection, headerValue, fixtureSubsection]) ||
    get(mocks, [fixtureSection, fallbackHeader, fixtureSubsection]);
  mock = typeof mock === 'function' ? mock(ctx) : mock;
  if (mock) {
    ctx.body = mock;
  } else {
    ctx.body = renderError(fixtureSection, fixtureSubsection, headerName, headerValue);
    ctx.status = 404;
  }
}

module.exports.getAtomMockForTerritory = function(ctx, fixtureSection, fixtureSubsection) {
  const territory = ctx.request.header['x-skyott-territory'].toLowerCase();
  getAtomMock(ctx, fixtureSection, fixtureSubsection, 'territory', territory, 'jc');
};
