const checkHeader = require('../../utils/check-header');
const { isScenario } = require('../../utils/scenario');

const PATH = '../../labelling-feed';

module.exports.get = function(ctx) {
  const header = ctx.request.header;

  if (isScenario(ctx, 'label_fallback_fail')) {
    return (ctx.status = 500);
  }

  if (!checkHeader.isCorrectPCMSHeader(header)) {
    return (ctx.status = 400);
  }

  const language = header['x-skyott-language'].toLowerCase() === 'jc' ? 'jc' : 'en';
  let client = header['x-skyott-device'].toLowerCase();

  if (client.includes('computer')) {
    client = 'web';
  } else if (client.includes('settopbox') || client.includes('ipsettopbox') || client.includes('console')) {
    client = 'tv';
  }

  const labelFile = `${PATH}/${client}/mock.jc.${language}.json`;

  try {
    ctx.body = require(labelFile);
  } catch (e) {
    ctx.status = 404;
    ctx.body = `Cannot find: ${labelFile}`;
  }
};
