const { isScenario } = require('../../utils/scenario');
const linearChannelsAllFixture = require('../pcms/linear-channels/linear-channels-all');

module.exports.get = function(ctx) {
  const { section, serviceKey } = ctx.query;

  if (isScenario(ctx, 'get_classification_fails')) {
    return (ctx.status = 400);
  }

  if (['MOVIES', 'ENTERTAINMENT', 'SPORTS', 'KIDS'].includes(section)) {
    return (ctx.body = linearChannelsAllFixture.filter(item => item.attributes.sectionNavigation === section));
  }

  if (serviceKey) {
    return (ctx.body = linearChannelsAllFixture.filter(item => item.attributes.serviceKey.toString() === serviceKey));
  }

  return (ctx.body = linearChannelsAllFixture);
};
