const { MenuNavIdentifiers } = require('@sky-uk-ott/client-lib-js-ott-cms');

const tvMenuFixture = require('../pcms/menu/tv-menu');
const tvUtilFooterMenu = require('../pcms/menu/tv-util-footer-menu');
const checkHeader = require('../../utils/check-header');

module.exports.menu = function(ctx) {
  const headers = ctx.request.header;
  const navIdentifier = ctx.request.query.nav_identifier;
  if (!checkHeader.isCorrectPCMSHeader(headers)) {
    return (ctx.status = 400);
  }

  if (headers['x-skyott-language'] === 'breakCmsMenu') {
    return (ctx.status = 500);
  }

  if (navIdentifier === MenuNavIdentifiers.UTILITY) {
    return (ctx.body = tvUtilFooterMenu);
  }

  if (headers['x-skyott-device'] !== 'COMPUTER' && navIdentifier === MenuNavIdentifiers.MAIN) {
    ctx.body = tvMenuFixture;
  } else {
    const proposition = headers['x-skyott-proposition'].toLowerCase();
    const territory = headers['x-skyott-territory'].toLowerCase();
    const language = headers['x-skyott-language'].toLowerCase();

    try {
      ctx.body = require(`../pcms/menu/menu-${proposition}-${territory}-${language}`);
    } catch (e) {
      ctx.body = require(`../pcms/menu/menu-mock-jc-en`);
    }
  }
};
