const personalisedRecsMixed = require('./personalised-recs/personalised-recs-mixed');
const personalisedRecsDefaultProfile = require('./personalised-recs/personalised-recs-default-profile');
const personalisedRecsDefaultProfileWithAssets = require('./personalised-recs/personalised-recs-movies-default-profile-with-assets');
const personalisedRecsEmpty = require('./personalised-recs/personalised-recs-empty');

module.exports.get = function(ctx) {
  const userToken = ctx.request.get('X-SkyOTT-UserToken');

  switch (true) {
    case /user_with_default_recs_profile/.test(userToken):
      ctx.body = personalisedRecsDefaultProfile;
      return;
    case /user_with_default_recs_profile_and_assets/.test(userToken):
      ctx.body = personalisedRecsDefaultProfileWithAssets;
      return;
    case /user_with_empty_recs/.test(userToken):
      ctx.body = personalisedRecsEmpty;
      return;
    case /valid_user/.test(userToken):
    default:
      ctx.body = personalisedRecsMixed;
  }
};
