module.exports = function(ctx) {
  const represent = ctx.request.query.represent || '';
  const staticIdmatch = represent.match(/\[where=\(staticId=(.*)\)\]/);
  const businessIdmatch = represent.match(/\[where=\(businessId=(.*)\)\]/);
  const staticIds = Array.isArray(staticIdmatch) && staticIdmatch[1];
  const businessIds = Array.isArray(businessIdmatch) && businessIdmatch[1];

  const fixture = require(`./promotions/en`);

  if (staticIds || businessIds) {
    ctx.body = {
      ...fixture,
      relationships: {
        ...fixture.relationships,
        items: {
          ...fixture.relationships.items,
          data: fixture.relationships.items.data.filter(
            item =>
              (staticIds && staticIds.split('|').includes(item.attributes.staticId)) ||
              (businessIds && businessIds.split('|').includes(item.attributes.businessId))
          ),
        },
      },
    };
  } else {
    ctx.body = fixture;
  }
};
