const queryFixtures = require('./query-static-id/index');

module.exports.getNode = function(ctx) {
  const staticId = ctx.params.staticId;

  const language = ctx.request.header['x-skyott-language'];
  const proposition = ctx.request.header['x-skyott-proposition'];
  const territory = ctx.request.header['x-skyott-territory'];
  const fixtureKey = `${staticId}_${proposition.toUpperCase()}_${territory.toUpperCase()}_${language.toUpperCase()}`;
  const fixture = queryFixtures[fixtureKey];

  if (fixture) {
    ctx.body = fixture;
  } else if (staticId.match(/_500_ERROR$/)) {
    ctx.status = 500;
  } else {
    ctx.status = 404;
  }
};
