const entertainmentRecommendations = require('./entertainment-recommendations');

const defaultSlugs = {
  'entertainment-recommendations-episode': require('./entertainment-recommendations-episode'),
  'entertainment-recommendations': require('./entertainment-recommendations'),

  // Movie assets
  'american-sniper-2014': require('../../../routes/pcms/nodes/movie-asset-details'),
  'dark-signal-2016/277d395b6f2e7510VgnVCM1000000b43150a____': require('../../../routes/pcms/nodes/movie-asset-details'),
  '50-first-dates-2004': require('../../../routes/pcms/nodes/movie-asset-details'),
  'burying-the-ex-2014': require('../../../routes/pcms/nodes/movie-asset-details'),
  'teenage-mutant-ninja-turtles-2014': require('../../../routes/pcms/nodes/movie-asset-details'),
  '50-first-dates-2004/29a3fb4eac2da510VgnVCM1000000b43150a____': require('../../../routes/pcms/nodes/movie-asset-details'),
  'big-hero-6-2015': require('../../../routes/pcms/nodes/movie-asset-details'),
  'last-knights-2015': require('../../../routes/pcms/nodes/movie-asset-details'),
  'burying-the-ex-expired-2014': require('../../../routes/pcms/nodes/movie-asset-details-expired'),
  'burying-the-ex-expired-2015': require('../../../routes/pcms/nodes/movie-asset-details-expired'),

  'run-all-night-2015': require('../../../routes/pcms/nodes/movie-asset-details-variant'),
  'long-way-north-2015/f0e13eda9eeb8510VgnVCM1000000b43150a____': require('../../../routes/pcms/nodes/movie-asset-details-variant'),
  'frozen-fever-2015': require('../../../routes/pcms/nodes/movie-asset-details-variant'),
  'star-wars-the-clone-wars-rookies/e28c9d46-1ab4-47f0-94d3-722c1ea6cabe': require('../../../routes/pcms/nodes/episodic-movie-asset-details'),
  'sanjay-and-craig/3375b5435ab55510VgnVCM1000000b43150a____': entertainmentRecommendations,
  'spy/063fc0ac06d50410VgnVCM1000000b43150a____': entertainmentRecommendations,
  '24-hours-in-trumps-america/57d8d635421bb510VgnVCM1000000b43150a____': entertainmentRecommendations,
  'icarly/a5fd986a4925f410VgnVCM1000000b43150a____': require('../../../routes/pcms/nodes/kids-recommendations'),
  'the-gruffalo/ad05cbe46bc98510VgnVCM1000000b43150a____': require('../../../routes/pcms/nodes/standalone-kids-asset-details'),
  'the-affair/988ee97336adf410VgnVCM1000000b43150a____': entertainmentRecommendations,
  '16-and-pregnant/dcea9ef9fbc12510VgnVCM1000000b43150a____': entertainmentRecommendations,
  '50-ways-to-kill-your-mammy/ce91caf177930510VgnVCM1000000b43150a____': entertainmentRecommendations,
  'sex-and-the-city/4d0f999179364510VgnVCM1000000b43150a____': entertainmentRecommendations,

  // Entertainment
  'grouchy-young-men/bd4c1848a1496510VgnVCM1000000b43150a____': require('../../../routes/pcms/nodes/entertainment-asset-details'),
  'californication/ff1e17011b062510VgnVCM1000000b43150a____': require('../../../routes/pcms/nodes/entertainment-asset-details'),
  'strike-back/dccd84ae-49be-11e6-a1e7-fbf9556477c0': require('../../../routes/pcms/nodes/entertainment-asset-details'),
  'atlanta-plastic/128db5ae-54b0-11e6-a5d6-bf41d85c99d2': require('../../../routes/pcms/nodes/entertainment-asset-details'),
  'meet-the-donors-does-money...-2016': require('../../../routes/pcms/nodes/standalone-entertainment-asset-details'),
  'my-kitchen-rules-usa/920f7b57197af510VgnVCM1000000b43150a____': require('../../../routes/pcms/nodes/entertainment-asset-details'),

  // Expired entertainment
  'shameless/e2ed137877f35510VgnVCM1000000b43150a____': require('../../../routes/pcms/nodes/expired-entertainment-asset-details'),
  'keeping-up-with-the-joneses-2016/63cec8cfa0f3d510VgnVCM1000000b43150a____shameless/e2ed137877f35510VgnVCM1000000b43150a____': require('../../../routes/pcms/nodes/expired-entertainment-asset-details'),
  'keeping-up-with-the-joneses-2016/63cec8cfa0f3d510VgnVCM1000000b43150a____': require('../../../routes/pcms/nodes/expired-entertainment-asset-details'),

  'dag/7fea482bb8240510VgnVCM1000000b43150a____': require('../../../routes/pcms/nodes/entertainment-asset-details'),
  '50-ways-to-kill-your-mammy/ce91caf177930510VgnVCM1000000b43150a____/seasons/3/episodes/3': entertainmentRecommendations,
  'my-kitchen-rules-usa/920f7b57197af510VgnVCM1000000b43150a____/seasons/1/episodes/3/831b7d8b62abf510VgnVCM1000000b43150a____': require('../../../routes/pcms/nodes/entertainment-asset-details'),
  '/50-ways-to-kill-your-mammy/ce91caf177930510VgnVCM1000000b43150a____/seasons/3/episodes/1': require('../../../routes/pcms/nodes/entertainment-asset-details'),
  'movies/collections/hero-highlights': require('../../../routes/pcms/collections/movies-single-listing-page'),
  'collections/hero-highlights': require('../../../routes/pcms/collections/movies-single-listing-page'),
  'movies/collections/most-popular': require('../../../routes/pcms/collections/movies-single-listing-page'),
  'movies/collections/play_movies': require('../../../routes/pcms/collections/movies-single-listing-page'),
  'entertainment/channels': require('../../../routes/pcms/groups/entertainment-channels'),
  'entertainment/collections/factual': require('../../../routes/pcms/collections/entertainment-factual'),
  'entertainment/collections/comedy': require('../../../routes/pcms/collections/entertainment-comedy'),
};

module.exports = {
  ie: defaultSlugs,
  gb: defaultSlugs,
  it: defaultSlugs,
  de: defaultSlugs,
  jc: defaultSlugs,
};
