const { isScenario } = require('../../utils/scenario');

module.exports.get = function(ctx) {
  if (isScenario(ctx, 'persona_not_found')) {
    ctx.body = ctx.body = require('./persona-store/persona-not-found.json');
    ctx.status = 404;
  } else {
    ctx.body = require('./persona-store/personas.json');
    ctx.status = 200;
  }

  ctx.type = 'application/vnd.persona.v1+json';
};

module.exports.put = function(ctx) {
  const defaultPropositionData = require('./persona-store/persona.json');
  const propositionData = ctx.request.body.propositionData;

  if (isScenario(ctx, 'set_persona_server_error')) {
    ctx.status = 500;
  } else {
    ctx.body = propositionData ? { ...defaultPropositionData, propositionData } : defaultPropositionData;
    ctx.status = 200;
  }

  ctx.type = 'application/vnd.persona.v1+json';
};

module.exports.post = function(ctx) {
  if (isScenario(ctx, 'set_persona_server_error')) {
    ctx.status = 500;
  } else if (!ctx.request.body.displayName) {
    ctx.body = require('./persona-store/create-persona-error.json');
    ctx.status = 400;
  } else {
    ctx.body = Object.assign({}, { personaId: 'b84cb082-dac4-427d-a782-8242018d56f1' }, ctx.request.body);
    ctx.status = 201;
  }
  ctx.type = 'application/vnd.persona.v1+json';
};
