const cloneDeep = require('lodash/cloneDeep');

const { isScenario } = require('../../utils/scenario');

const playPreviewFixture = require('./playouts/play-preview');

module.exports.post = function(ctx) {
  ctx.body = cloneDeep(playPreviewFixture);
  ctx.type = 'application/vnd.trailer-vod.v1+json';

  if (isScenario(ctx, 'play_preview_ovp_error')) {
    const ovpError = 'OVP_00100';
    ctx.status = 500;
    ctx.body = ovpError;
  }

  if (isScenario(ctx, 'play_preview_no_valid_urls')) {
    ctx.body.asset.endpoints = [
      {
        url: 'http://localhost:5000/not-valid-video.mp4',
        cdn: 'L3',
      },
      {
        url: 'http://localhost:5000/not-valid-video.mp4',
        cdn: 'L3',
      },
      {
        url: 'http://localhost:5000/not-valid-videoss.mp4',
        cdn: 'AK',
      },
    ];
  }
};
