const users = require('../sky-id/sky-id/users');
const createUser = require('../sky-id/sky-id/create-user');

function setUserCookies(ctx) {
  if (ctx.query.user.includes('keepMeSignedInOnlyUser')) {
    ctx.cookies.set('skyCEsidexsso01', users[ctx.query.user].skyIdToken, {
      httpOnly: false,
      path: '/',
    });
  } else {
    ctx.cookies.set('skyCEsidismesso01', users[ctx.query.user].skyIdToken, {
      httpOnly: false,
      path: '/',
    });

    ctx.cookies.set('skySSO', users[ctx.query.user].skyIdToken, {
      httpOnly: false,
      path: '/',
    });

    ctx.cookies.set('skyCEsidtrk01', ctx.query.user, {
      httpOnly: false,
      path: '/',
    });

    ctx.cookies.set('umv', ctx.query.user, {
      httpOnly: false,
      path: '/',
    });
  }
}

module.exports.view = async function(ctx) {
  if (ctx.query.user) {
    setUserCookies(ctx);
  }

  await ctx.render('prime', {
    users: Object.keys(users),
  });
};

module.exports.createUser = async function(ctx) {
  const user = createUser(ctx.request.body);

  ctx.body = user;
};
