const { getProfileFixture } = require('./get-profile');
const users = require('./users');
const { createClonesForUser } = require('./users-clones');

function createUser({
  username,
  password,
  parentalPin,
  parentalPinRequired,
  paymentPinRequired,
  paymentAccounts,
  entitlements,
  fullySignedUp,
  trialsUsed,
  devices,
  creditBalancePrePurchase,
}) {
  if (users[username]) {
    return users[username];
  }

  const user = {
    username,
    userToken: username,
    skyIdToken: `01-${username}`,
    devices,
    registrations: {
      allowedDevicesCount: 4,
      registeredDevicesCount: devices.length,
      remainingDeviceChangesCount: 4 - devices.length,
      lastAdditionDate: '2016-08-01T13:02:00Z',
      allowedDeviceChangesCount: 1,
    },
    paymentPin: {
      pinRequired: paymentPinRequired,
    },
    parentalPin: {
      parentalPin,
      parentalPinRequired,
    },
    paymentAccounts,
    entitlements,
    subscriptions: [],
    password,
    getProfile: getProfileFixture(username),
    fullySignedUp,
    trialsUsed,
    creditBalancePrePurchase,
  };

  users[username] = user;

  createClonesForUser(username);

  return user;
}

module.exports = createUser;
