'use strict';

const checkHeader = require('../utils/check-header');

const CORRECT_HEADERS = {
  'x-skyott-device': 'something',
  'x-skyott-language': 'something',
  'x-skyott-territory': 'something',
  'x-skyott-proposition': 'something',
};

const ONE_MISSING_HEADER = {
  'x-skyott-device': 'something',
  'x-skyott-language': 'something',
  'x-skyott-proposition': 'something',
};

describe('check-header', () => {
  describe('isCorrectPCMSHeader', () => {
    it('should return true if all headers are present', () => {
      expect(checkHeader.isCorrectPCMSHeader(CORRECT_HEADERS)).toBe(true);
    });

    it('should return false if not all headers are present', () => {
      expect(checkHeader.isCorrectPCMSHeader(ONE_MISSING_HEADER)).toBe(false);
    });
  });
});
