'use-strict';

const supertest = require('supertest');

const app = require('../app');

const searchUrl = '/suggest/v1/clientId/section/0/0/userId/';

describe('Entity Search', () => {
  let server;

  beforeAll(() => {
    server = app.listen();
  });

  afterAll(() => {
    server.close();
  });

  it('GET "/suggest" should return empty results with search term "e"', () => {
    return supertest(server)
      .get(`${searchUrl}?term=e`)
      .then(res => {
        expect(res.body).toEqual({ results: [] });
      });
  });

  it('GET "/suggest" should return search results for any search term', () => {
    return supertest(server)
      .get(`${searchUrl}?term=test`)
      .then(res => {
        expect(res.body.results.length).toBeGreaterThan(0);
      });
  });
});
