const supertest = require('supertest');

const app = require('../app');

describe('Get ATOM mock route handler', () => {
  let server;

  beforeAll(() => {
    server = app.listen();
  });

  afterAll(() => {
    server.close();
  });

  it('should return a 404 for a mock that does not exist', () => {
    return supertest(server)
      .get('/v3/query/slug/not-real')
      .set({ 'X-SkyOTT-Territory': 'IE' })
      .expect(404);
  });

  it('should return a mock for an entertainment asset', () => {
    const expectedJson = require('../routes/pcms/nodes/entertainment-asset-details');
    return supertest(server)
      .get('/v3/query/node/grouchy-young-men/bd4c1848a1496510VgnVCM1000000b43150a____')
      .set({ 'X-SkyOTT-Territory': 'IE' })
      .set({ 'X-SkyOTT-Proposition': 'NOWTV' })
      .expect(200, expectedJson);
  });
});
