'use strict';

const supertest = require('supertest');

const app = require('../app');

const IE_HEADERS = {
  'X-SkyOTT-Language': 'en',
  'X-SkyOTT-Device': 'computer:pc',
  'X-SkyOTT-Territory': 'ie',
  'X-SkyOTT-Proposition': 'nowtv',
};

describe('Supported languages', () => {
  let server;

  beforeAll(() => {
    server = app.listen();
  });

  afterAll(() => {
    server.close();
  });

  describe('GET /v3/query/languages', () => {
    it('should return supported languages, NowTV Ireland', () => {
      const expected = require('../routes/pcms/supported-languages/nowtv/ie');

      return supertest(server)
        .get('/v3/query/languages')
        .set(IE_HEADERS)
        .expect(200, expected);
    });

    it('should return supported languages, NowTV Spain', () => {
      const expected = require('../routes/pcms/supported-languages/nowtv/es');
      const headers = Object.assign({}, IE_HEADERS, {
        'X-SkyOTT-Territory': 'es',
      });

      return supertest(server)
        .get('/v3/query/languages')
        .set(headers)
        .expect(200, expected);
    });
  });
});
