/* eslint-disable no-console */
const fs = require('fs');

const nodeExcel = require('excel-export');

const { TERRITORY, PROPOSITION, LANGUAGE, CLIENT } = process.env;
const lowercaseTerritory = TERRITORY.toLowerCase();
const lowercaseProposition = PROPOSITION.toLowerCase();
const lowercaseLanguage = LANGUAGE.toLowerCase();
const fileName = `${lowercaseProposition}.${lowercaseTerritory}.${lowercaseLanguage}`;
const client = CLIENT.toLowerCase();

const labelsObject = require(`../labelling-feed/${client}/${fileName}.json`);

const config = {};
config.cols = [
  {
    caption: 'code',
    type: 'string',
    width: 28.7109375,
  },
  {
    caption: 'language',
    type: 'string',
  },
  {
    caption: 'value',
    type: 'string',
  },
];
config.rows = Object.keys(labelsObject).reduce((labelArray, labelKey) => {
  if (labelsObject[labelKey] || labelsObject[labelKey] === '') {
    return labelArray.concat([[labelKey, LANGUAGE.toLowerCase(), labelsObject[labelKey]]]);
  } else {
    return labelArray;
  }
}, []);

const result = nodeExcel.execute(config);
fs.writeFile(`update-labels/${fileName}.xlsx`, result, 'binary', () => {
  console.log('=============================================');
  console.log(`========= Created ${fileName}.xlsx  =========`);
  console.log('=============================================');
});
