#!/bin/bash
set -e
set +x

EXIT_CODE=$?
if [ $EXIT_CODE -ne 0 ]; then
  echo "failed $EXIT_CODE"
  exit 1
fi

if [[ ${DEVICE_PLATFORM} == ANY:ANY ]]; then
  echo "Tried to pass ANY:ANY"
  exit 1
fi

if [[ ${ENV} == stable-int ]]; then HOST="https://stable-int.atom.dev.nbcuott.com"; fi
if [[ ${ENV} == eu-func-prod ]]; then HOST="http://eu-e2e.dev.aws.atom.sky.com"; fi
if [[ ${ENV} == eu-stage ]]; then HOST="http://cms.eustage1.atom.sky.com"; fi
if [[ ${ENV} == eu-production ]]; then HOST="https://cms.eu.atom.sky.com"; fi
if [[ ${ENV} == func-prod ]]; then HOST="http://e2e.dev.aws.atom.sky.com"; fi
if [[ ${ENV} == stage ]]; then HOST="https://cms.stage1.atom.nowtv.com"; fi
if [[ ${ENV} == production ]]; then HOST="https://cms.atom.nowtv.com"; fi

UPPERCASE_PROPOSITION=$(echo "$PROPOSITION" | tr '[:lower:]' '[:upper:]')
LOWERCASE_PROPOSITION=$(echo "$PROPOSITION" | tr '[:upper:]' '[:lower:]')
UPPERCASE_TERRITORY=$(echo "$TERRITORY" | tr '[:lower:]' '[:upper:]')
LOWERCASE_TERRITORY=$(echo "$TERRITORY" | tr '[:upper:]' '[:lower:]')

REGISTER_ENDPOINT="${HOST}/core/label/register/${DEVICE_PLATFORM}"

FILE="../labelling-feed/${CLIENT}/keys.csv"

printf "\n\nRunning label upload for $CLIENT:$ENV $PROPOSITION:$TERRITORY $DEVICE_PLATFORM\n"
curl --connect-timeout 15 --fail -X POST -H 'Content-Type: multipart/form-data' -H "X-SkyOTT-Service: ${CMS_USERNAME}" -H "X-SkyOTT-ServiceToken: ${CMS_PASSWORD}" -H "X-SkyOTT-Proposition: ${UPPERCASE_PROPOSITION}" -H "X-SkyOTT-Territory: ${UPPERCASE_TERRITORY}" -F "file=@$FILE;type=text/csv" "$REGISTER_ENDPOINT"
