#!/bin/bash
set -e

TERRITORY=${TERRITORY} PROPOSITION=${PROPOSITION} LANGUAGE=${LANGUAGE} CLIENT=${CLIENT} npm run update-labels

EXIT_CODE=$?
if [ $EXIT_CODE -ne 0 ]; then
  echo "failed $EXIT_CODE"
  exit 1
fi

if [[ ${DEVICE_PLATFORM} == ANY:ANY ]]; then
  echo "Tried to pass ANY:ANY"
  exit 1
fi

if [[ ${ENV} == eu-func-prod ]]; then HOST="http://eu-e2e.dev.aws.atom.sky.com"; fi
if [[ ${ENV} == eu-stage ]]; then HOST="http://cms.eustage1.atom.sky.com"; fi
if [[ ${ENV} == eu-production ]]; then HOST="https://cms.eu.atom.sky.com"; fi
if [[ ${ENV} == func-prod ]]; then HOST="http://e2e.dev.aws.atom.sky.com"; fi
if [[ ${ENV} == stage ]]; then HOST="https://cms.stage1.atom.nowtv.com"; fi
if [[ ${ENV} == production ]]; then HOST="https://cms.atom.nowtv.com"; fi

UPPERCASE_PROPOSITION=$(echo "$PROPOSITION" | tr '[:lower:]' '[:upper:]')
LOWERCASE_PROPOSITION=$(echo "$PROPOSITION" | tr '[:upper:]' '[:lower:]')
UPPERCASE_TERRITORY=$(echo "$TERRITORY" | tr '[:lower:]' '[:upper:]')
LOWERCASE_TERRITORY=$(echo "$TERRITORY" | tr '[:upper:]' '[:lower:]')
LOWERCASE_LANGUAGE=$(echo "$LANGUAGE" | tr '[:upper:]' '[:lower:]')

REGISTER_AND_UPDATE_ENDPOINT="${HOST}/core/label/register_and_update/${DEVICE_PLATFORM}/${LOWERCASE_LANGUAGE}"

FILE="${LOWERCASE_PROPOSITION}.${LOWERCASE_TERRITORY}.${LOWERCASE_LANGUAGE}.xlsx"
curl -v --connect-timeout 15 --fail -X POST -H 'Content-Type: multipart/form-data' -H "X-SkyOTT-Service: ${CMS_USERNAME}" -H "X-SkyOTT-ServiceToken: ${CMS_PASSWORD}" -H "X-SkyOTT-Proposition: ${UPPERCASE_PROPOSITION}" -H "X-SkyOTT-Territory: ${UPPERCASE_TERRITORY}" -F "file=@$FILE;type=application/vnd.ms-excel" "$REGISTER_AND_UPDATE_ENDPOINT"
