function makeFutureTimestamp(daysToAdd = 0) {
  return new Date().setDate(new Date().getDate() + daysToAdd);
}

function makePastTimestamp(daysToSubtract = 0) {
  return new Date().setDate(new Date().getDate() - daysToSubtract);
}

function mockEntertainmentTimestamps(originalMock, format) {
  const mock = Object.assign({}, originalMock);
  if (mock.relationships && mock.relationships.items && mock.relationships.items.data) {
    const seasons = mock.relationships.items.data;
    const episodes = seasons[0].relationships.items.data;

    episodes[0].attributes.formats[format].availability.offerEndTs = makeFutureTimestamp(0.01);
    episodes[1].attributes.formats[format].availability.offerEndTs = makeFutureTimestamp(1);
    episodes[2].attributes.formats[format].availability.offerEndTs = makeFutureTimestamp(4);
    episodes[3].attributes.formats[format].availability.offerEndTs = makeFutureTimestamp(33);
    episodes[4].attributes.formats[format].availability.offerEndTs = makeFutureTimestamp(150);
    episodes[5].attributes.formats[format].availability.available = false;
    episodes[5].attributes.formats[format].availability.offerStartTs = makeFutureTimestamp(3);
    episodes[5].attributes.formats[format].availability.offerEndTs = makeFutureTimestamp(200);
  }

  return mock;
}

function mockMovieTimestamp(originalMock) {
  const mock = Object.assign({}, originalMock);

  for (const format in mock.attributes.formats) {
    if (mock.attributes.formats.hasOwnProperty(format)) {
      mock.attributes.formats[format].availability.offerEndTs = makeFutureTimestamp(2);
    }
  }
  return mock;
}

module.exports.makeFutureTimestamp = makeFutureTimestamp;
module.exports.makePastTimestamp = makePastTimestamp;
module.exports.mockEntertainmentTimestamps = mockEntertainmentTimestamps;
module.exports.mockMovieTimestamp = mockMovieTimestamp;
