const { URL } = require('url');

module.exports.replaceLocalhostWithOrigin = function(response, ctx) {
  if (!ctx.request.header.origin) {
    return response;
  }
  let headerOrigin = ctx.request.header.origin;
  const { port } = new URL(headerOrigin);
  if (port) {
    headerOrigin = headerOrigin.startsWith('https')
      ? headerOrigin.replace(port, '5443').replace('4000', '5443')
      : headerOrigin.replace(port, '5000').replace('4000', '5000');
  }

  return JSON.parse(JSON.stringify(response).replace(/http:\/\/localhost:5000/g, `${headerOrigin}`));
};
