function getHeaderScenarios(ctx) {
  return (ctx.request.get('x-scenario') || '').split(', ');
}

function hasScenarioInHeaders(ctx, scenario) {
  return getHeaderScenarios(ctx).some(headerScenario => headerScenario === scenario);
}

function hasScenarioInCookies(ctx, scenario) {
  return ctx.cookie && ctx.cookie[`SCENARIO__${scenario}`];
}

module.exports.isScenario = function(ctx, scenario) {
  return hasScenarioInCookies(ctx, scenario) || hasScenarioInHeaders(ctx, scenario);
};
