'use strict';

module.exports = function() {
  const transientStore = new Map();
  const persistentStore = new Map();

  function getStore(store, id) {
    if (!store.has(id)) {
      store.set(id, new Map());
    }

    return store.get(id);
  }

  setInterval(() => {
    transientStore.clear();
  }, 20000);

  return function(ctx, next) {
    let user;
    if (ctx.request) {
      user =
        ctx.request.get('X-SkyOTT-UserToken') ||
        (ctx.request.get('X-SkyId-Token') || ctx.cookies.get('skyCEsidismesso01') || '').split('-')[1] ||
        (ctx.request.get('Authorization') || '').split(' ')[1] ||
        (ctx.request.query && ctx.request.query.userToken);
    }
    user = user || 'default';

    ctx.entirePersistentStore = persistentStore;
    ctx.transientStore = getStore(transientStore, user);
    ctx.persistentStore = getStore(persistentStore, user);
    return next();
  };
};
